# Structure

data class Structure(structureData: Set<SingleStructureData>)
Content copied to clipboard

## Constructors

Structure
Link copied to clipboard
fun Structure(vararg structureDataSets: Set<SingleStructureData>)
Content copied to clipboard

## Properties

structureData
Link copied to clipboard
val structureData: Set<SingleStructureData>
Content copied to clipboard

## Extensions

buildAt
Link copied to clipboard
fun Structure.buildAt(loc: Location)
Content copied to clipboard
rotate
Link copied to clipboard
inline fun Structure.rotate(angle: Number, vectorRotation: (Vector, Double) -> Vector): Structure
Content copied to clipboard
rotateAroundX
Link copied to clipboard
fun Structure.rotateAroundX(angle: Number): Structure
Content copied to clipboard
rotateAroundY
Link copied to clipboard
fun Structure.rotateAroundY(angle: Number): Structure
Content copied to clipboard
rotateAroundZ
Link copied to clipboard
fun Structure.rotateAroundZ(angle: Number): Structure
Content copied to clipboard